using NJsonSchema.Annotations;

namespace OpenWarehouse.warehouse.api.Model.Item;

public class ClaimValueModel
{
    public string? Value { get; set; }
    public string? Issuer { get; set; }
}

public class ItemModel
{
    [NotNull, MaxLength(30), Required]
    public string? Id { get; set; }
    
    [NotNull, MaxLength(30), Required]
    public string? Name { get; set; } 
    
    [NotNull, MaxLength(30), Required]
    public string? ProducerId { get; set; }
    
    [NotNull, MaxLength(30), Required]
    public string? ProducerName { get; set; }

    [Required] 
    public Dictionary<string, ClaimValueModel>? Claims { get; set; }
    
    [Required]
    public List<string>? CategoryTag { get; set; }
 
}